Stampfactory
Dokumentation
DATEV-Integration

DATEV verbinden

Returns the DATEV OAuth2 authorization URL. The frontend redirects the user to this URL. The connection data (Beraternummer, Mandantennummer, etc.) is stored in cache until the callback processes it. The callback happens on the central callback domain and redirects back to the tenant frontend.

GET
/datev/connect
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Query-Parameter

berater_nummer*string
Längelength <= 20
mandanten_nummer*string
Längelength <= 20
target_system*string

Erlaubte Werte

  • "lug"
  • "lodas"
notification_email?|
Formatemail
Längelength <= 255

Response-Body

application/json

application/json

application/json

curl -X GET "https://example.com/datev/connect?berater_nummer=string&mandanten_nummer=string&target_system=lug"
{  "url": "string",  "redirect_uri": "string"}